package com.loafle.overflow.central.module.meta.dao;

import com.loafle.overflow.model.meta.MetaCrawlerMapping;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Created by insanity on 17. 6. 23.
 */
@Repository
public interface MetaCrawlerMappingDAO extends JpaRepository<MetaCrawlerMapping, Long> {
  List<MetaCrawlerMapping> findAllByMetaTargetTypeId(Integer targetTypeID);

  List<MetaCrawlerMapping> findAllByMetaTargetTypeKey(String targetTypeKey);
}
