package com.loafle.overflow.central.module.noauthprobe.dao;

import com.loafle.overflow.model.noauthprobe.NoAuthProbe;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Created by root on 17. 5. 30.
 */
@Repository
public interface NoAuthProbeDAO extends JpaRepository<NoAuthProbe, Long> {
  NoAuthProbe findByTempProbeKey(String tempProbeKey);

  List<NoAuthProbe> findAllByDomainIdAndMetaNoAuthProbeStatusId(Long domainID, Short metaNoAuthProbeStatusId);
}
