package com.loafle.overflow.central.module.noauthprobe.dao;

import static org.junit.Assert.assertNotNull;

import java.util.List;

import com.loafle.overflow.central.spring.AppConfigTest;
import com.loafle.overflow.model.meta.MetaNoAuthProbeStatus;
import com.loafle.overflow.model.noauthprobe.NoAuthProbe;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

/**
 * Created by snoop on 17. 9. 14.
 */
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(classes = {AppConfigTest.class})
public class NoAuthProbeDAOTest {

    @Autowired
    private NoAuthProbeDAO noAuthProbeDAO;

    @Test
    public void findByTempProbeKey() throws Exception {

        NoAuthProbe noAuthProbe = this.noAuthProbeDAO.findByTempProbeKey("1cf2555c57d511e79714080027658d13");

        assertNotNull(noAuthProbe);
    }

    @Test
    public void findAllMemberByDomainId() throws Exception {

        List<NoAuthProbe> noAuthProbes = this.noAuthProbeDAO.findAllByDomainIdAndMetaNoAuthProbeStatusId((long) 1, MetaNoAuthProbeStatus.Enum.PROCESSING.getValue());

        assertNotNull(noAuthProbes);
    }
}
